Skip to main content
PATCH
/
businesses
/
{business_id}
Patch business
curl --request PATCH \
  --url https://api-sandbox.synctera.com/v0/businesses/{business_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "compliance_restrictions": [
    "LICENSED_CANNABIS"
  ],
  "ein": "12-3456789",
  "email": "alice@example.com",
  "entity_name": "Apex Corporation",
  "formation_date": "2000-01-01",
  "formation_state": "NY",
  "is_customer": true,
  "metadata": {},
  "phone_number": "+14374570680",
  "spend_control_ids": [
    "7d943c51-e4ff-4e57-9558-08cab6b963c7"
  ],
  "structure": "CORPORATION",
  "tenant": "abcdef_ghijkl",
  "trade_names": [
    "Apex",
    "Apex LLC",
    "CorporationID#77231"
  ],
  "website": "https://example.com"
}
'
import requests

url = "https://api-sandbox.synctera.com/v0/businesses/{business_id}"

payload = {
"compliance_restrictions": ["LICENSED_CANNABIS"],
"ein": "12-3456789",
"email": "alice@example.com",
"entity_name": "Apex Corporation",
"formation_date": "2000-01-01",
"formation_state": "NY",
"is_customer": True,
"metadata": {},
"phone_number": "+14374570680",
"spend_control_ids": ["7d943c51-e4ff-4e57-9558-08cab6b963c7"],
"structure": "CORPORATION",
"tenant": "abcdef_ghijkl",
"trade_names": ["Apex", "Apex LLC", "CorporationID#77231"],
"website": "https://example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
compliance_restrictions: ['LICENSED_CANNABIS'],
ein: '12-3456789',
email: 'alice@example.com',
entity_name: 'Apex Corporation',
formation_date: '2000-01-01',
formation_state: 'NY',
is_customer: true,
metadata: {},
phone_number: '+14374570680',
spend_control_ids: ['7d943c51-e4ff-4e57-9558-08cab6b963c7'],
structure: 'CORPORATION',
tenant: 'abcdef_ghijkl',
trade_names: ['Apex', 'Apex LLC', 'CorporationID#77231'],
website: 'https://example.com'
})
};

fetch('https://api-sandbox.synctera.com/v0/businesses/{business_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "is_customer": true,
  "addresses": [
    {
      "address_line_1": "100 Main St.",
      "country_code": "US",
      "address_line_2": "Suite 99",
      "address_type": "SHIPPING",
      "city": "New York",
      "id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
      "is_registered_agent": true,
      "nickname": "Home",
      "postal_code": "28620",
      "state": "NY"
    }
  ],
  "classifications": [],
  "compliance_restrictions": [
    "LICENSED_CANNABIS"
  ],
  "creation_time": "2010-05-06T12:23:34.321Z",
  "customer_active": "2010-05-06T12:23:34.321Z",
  "ein": "12-3456789",
  "email": "alice@example.com",
  "entity_name": "Apex Corporation",
  "formation_date": "2000-01-01",
  "formation_state": "NY",
  "has_accounts": true,
  "id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
  "last_updated_time": "2010-05-06T12:23:34.321Z",
  "legal_address": {
    "address_line_1": "100 Main St.",
    "country_code": "US",
    "address_line_2": "Suite 99",
    "address_type": "SHIPPING",
    "city": "New York",
    "id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
    "is_registered_agent": true,
    "nickname": "Home",
    "postal_code": "28620",
    "state": "NY"
  },
  "metadata": {},
  "phone_number": "+14374570680",
  "spend_control_ids": [
    "7d943c51-e4ff-4e57-9558-08cab6b963c7"
  ],
  "structure": "CORPORATION",
  "tenant": "abcdef_ghijkl",
  "trade_names": [
    "Apex",
    "Apex LLC",
    "CorporationID#77231"
  ],
  "verification_last_run": "2010-05-06T12:23:34.321Z",
  "verification_status": "ACCEPTED",
  "website": "https://example.com",
  "vendor_info": {
    "vendor_data": {
      "loanpro": {
        "customer_id": 12345
      }
    },
    "vendor_type": "LOANPRO"
  }
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Path Parameters

business_id
string<uuid>
required

Business's unique identifier.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Body

application/json

Represents a business customer.

vendor_info
object

Vendor information for external account management systems

compliance_restrictions
enum<string>[]

The types of compliance that the business needs to adhere to

  • LICENSED_CANNABIS – A type of compliance restriction where the business would need a cannabis license in order to operate.
Available options:
LICENSED_CANNABIS
ein
string

U.S. Employer Identification Number (EIN) for this business, in the format xx-xxxxxxx.

Example:

"12-3456789"

email
string

Business's email.

Example:

"alice@example.com"

entity_name
string

Business's legal name.

Example:

"Apex Corporation"

formation_date
string<date>

Date the business was legally registered in RFC 3339 full-date format (YYYY-MM-DD).

Example:

"2000-01-01"

formation_state
string

U.S. state where the business is legally registered (2-letter abbreviation).

Example:

"NY"

is_customer
boolean

True for personal and business customers with a direct relationship with the fintech or bank. Set this to true for any customer related to an account.

Example:

true

Legal address

metadata
object

Optional field to store additional information about the resource. Intended to be used by the integrator to store non-sensitive data.

phone_number
string

Business's phone number with country code in E.164 format. Must have a valid country code. Area code and local phone number are not validated.

Pattern: ^\+[1-9]\d{1,14}$
Example:

"+14374570680"

spend_control_ids
string<uuid>[]

List of spend control IDs to control spending for the customer

Maximum array length: 100
status
enum<string>

Status of the business. One of the following:

  • PROSPECT – a potential customer, used for information-gathering and disclosures.
  • ACTIVE – is an integrator defined status. Integrators should set a business to active if they believe the person to be qualified for conducting business. Synctera will combine this status with other statuses such a verification to determine if the business is eligible for specific actions such as initiating transactions or issuing a card.
  • FROZEN – business's actions are blocked for security, legal, or other reasons.
  • SANCTION – business is on a sanctions list and should be carefully monitored.
  • DISSOLVED – an inactive status indicating a business entity has filed articles of dissolution or a certificate of termination to terminate its existence.
  • CANCELLED – an inactive status indicating that a business entity has filed a cancellation or has failed to file its periodic report after notice of forfeiture of its rights to do business.
  • SUSPENDED – an inactive status indicating that the business entity has lost the right to operate in it's registered jurisdiction.
  • MERGED – an inactive status indicating that the business entity has terminated existence by merging into another entity.
  • INACTIVE – an inactive status indicating that the business entity is no longer active.
  • CONVERTED – An inactive status indicating that the business entity has been converted to another type of business entity in the same jurisdiction.
Available options:
ACTIVE,
CANCELLED,
CONVERTED,
DISSOLVED,
FROZEN,
INACTIVE,
MERGED,
PROSPECT,
SANCTION,
SUSPENDED
structure
enum<string>

Business's legal structure.

Available options:
CORPORATION,
LLC,
NON_PROFIT,
OTHER,
PARTNERSHIP,
SOLE_PROPRIETORSHIP,
S_CORPORATION
Example:

"CORPORATION"

tenant
string

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

Example:

"abcdef_ghijkl"

trade_names
string[]

All registered 'doing business as' (DBA) or trade names for this business.

Example:
["Apex", "Apex LLC", "CorporationID#77231"]
website
string

Business's website.

Example:

"https://example.com"

Response

Updated business representation.

Represents a business customer.

is_customer
boolean
required

True for personal and business customers with a direct relationship with the fintech or bank. Set this to true for any customer related to an account.

Example:

true

status
enum<string>
required

Status of the business. One of the following:

  • PROSPECT – a potential customer, used for information-gathering and disclosures.
  • ACTIVE – is an integrator defined status. Integrators should set a business to active if they believe the person to be qualified for conducting business. Synctera will combine this status with other statuses such a verification to determine if the business is eligible for specific actions such as initiating transactions or issuing a card.
  • FROZEN – business's actions are blocked for security, legal, or other reasons.
  • SANCTION – business is on a sanctions list and should be carefully monitored.
  • DISSOLVED – an inactive status indicating a business entity has filed articles of dissolution or a certificate of termination to terminate its existence.
  • CANCELLED – an inactive status indicating that a business entity has filed a cancellation or has failed to file its periodic report after notice of forfeiture of its rights to do business.
  • SUSPENDED – an inactive status indicating that the business entity has lost the right to operate in it's registered jurisdiction.
  • MERGED – an inactive status indicating that the business entity has terminated existence by merging into another entity.
  • INACTIVE – an inactive status indicating that the business entity is no longer active.
  • CONVERTED – An inactive status indicating that the business entity has been converted to another type of business entity in the same jurisdiction.
Available options:
ACTIVE,
CANCELLED,
CONVERTED,
DISSOLVED,
FROZEN,
INACTIVE,
MERGED,
PROSPECT,
SANCTION,
SUSPENDED
addresses
object[]
read-only

All of the customer's addresses

classifications
enum<string>[]
read-only

Specifies the classification of a party for banks. This may contain multiple values for a combined classifications list of customers.

Specifies the classification of a party.

Available options:
AUTHORIZED_USER,
BANK_CUSTOMER,
INACTIVE_BANK_CUSTOMER,
PROSPECT
compliance_restrictions
enum<string>[]

The types of compliance that the business needs to adhere to

  • LICENSED_CANNABIS – A type of compliance restriction where the business would need a cannabis license in order to operate.
Available options:
LICENSED_CANNABIS
creation_time
string<date-time>
read-only

The date and time the resource was created.

Example:

"2010-05-06T12:23:34.321Z"

customer_active
string<date-time>
read-only

The date and time this business became a bank customer.

Example:

"2010-05-06T12:23:34.321Z"

ein
string

U.S. Employer Identification Number (EIN) for this business, in the format xx-xxxxxxx.

Example:

"12-3456789"

email
string

Business's email.

Example:

"alice@example.com"

entity_name
string

Business's legal name.

Example:

"Apex Corporation"

formation_date
string<date>

Date the business was legally registered in RFC 3339 full-date format (YYYY-MM-DD).

Example:

"2000-01-01"

formation_state
string

U.S. state where the business is legally registered (2-letter abbreviation).

Example:

"NY"

has_accounts
boolean
read-only

This flag indicates whether the person or business has accounts.

id
string<uuid>
read-only

Business's unique identifier.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

last_updated_time
string<date-time>
read-only

The date and time the resource was last updated.

Example:

"2010-05-06T12:23:34.321Z"

Legal address

metadata
object

Optional field to store additional information about the resource. Intended to be used by the integrator to store non-sensitive data.

phone_number
string

Business's phone number with country code in E.164 format. Must have a valid country code. Area code and local phone number are not validated.

Pattern: ^\+[1-9]\d{1,14}$
Example:

"+14374570680"

spend_control_ids
string<uuid>[]

List of spend control IDs to control spending for the customer

Maximum array length: 100
structure
enum<string>

Business's legal structure.

Available options:
CORPORATION,
LLC,
NON_PROFIT,
OTHER,
PARTNERSHIP,
SOLE_PROPRIETORSHIP,
S_CORPORATION
Example:

"CORPORATION"

tenant
string

The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.

Example:

"abcdef_ghijkl"

trade_names
string[]

All registered 'doing business as' (DBA) or trade names for this business.

Example:
["Apex", "Apex LLC", "CorporationID#77231"]
verification_last_run
string<date-time>
read-only

Date and time KYB verification was last run on the business.

Example:

"2010-05-06T12:23:34.321Z"

verification_status
enum<string>
read-only

The result of a KYC/KYB verification. One of the following:

  • UNVERIFIED – verification has not been completed for this customer.
  • PENDING – verification is in progress for this customer.
  • PROVISIONAL – partially verified or verified with restrictions.
  • ACCEPTED – the customer has been verified.
  • REVIEW – verification has run and issues have been identified and require review.
  • REJECTED – the customer was rejected and should not be allowed to take certain actions e.g., open an account.
Available options:
ACCEPTED,
PENDING,
PROVISIONAL,
REJECTED,
REVIEW,
UNVERIFIED
Example:

"ACCEPTED"

website
string

Business's website.

Example:

"https://example.com"

vendor_info
object

Vendor information for external account management systems